ARES_PARSE_SOA_REPLY(3)

NAME
ares_parse_soa_reply - Parse a reply to a DNS query of type SOA

SYNOPSIS
#include <ares.h>

int ares_parse_soa_reply(const unsigned char* abuf, int alen,
struct ares_soa_reply** soa_out);

DESCRIPTION
The ares_parse_soa_reply function parses the response to a query of type SOA into a struct ares_soa_reply. The parameters abuf and alen give the contents of the response. The result is stored in allocated memory and a pointer to it stored into the variable pointed to by soa_out. It is the caller's responsibility to free the resulting soa_out structure when it is no longer needed using the function ares_free_data

The structure ares_soa_reply contains the following fields:

struct ares_soa_reply {
	char *nsname;
	char *hostmaster;
	unsigned int serial;
	unsigned int refresh;
	unsigned int retry;
	unsigned int expire;
	unsigned int minttl;
};

RETURN VALUES
ares_parse_soa_reply can return any of the following values:

ARES_SUCCESS
    The response was successfully parsed.

ARES_EBADRESP
    The response was malformatted.

ARES_ENODATA
    The response did not contain an answer to the query.

ARES_ENOMEM
    Memory was exhausted.

AVAILABILITY
This function was first introduced in c-ares version 1.9.0.

SEE ALSO
ares_query(3) ares_free_data(3)